Note: this module is obsolete. You are encouraged to use the myshow --status module combination instead.

This is a module for monitoring the MySQL SQL database server status (latest versions in the 4 series).

On UNIX type platforms, it requires the mysqltcl package (at http://www.xdobry.de/mysqltcl/) for connection via the native MySQL protocol, or the tclodbc package (at http://tclodbc.sourceforge.net/) for connection via ODBC (Open DataBase Connectivity).
On Windows platforms, please read the install.txt file.

Data is drawn from the SHOW STATUS query results and initially displayed in 2 tables (the second being specific to queries counters) with 2 data columns (with absolute and per second values):

Error handling:

When an error occurs (communicating with the database server or any other type), all numeric cells are set to void (displayed as ?), while the remaining cells become empty. A descriptive error message is also generated in such a case.

Module options:

- --dsn
  ODBC Data Source Name (see your database/system administrator if in doubt). In this case, the tclodbc package is used for connecting to the database. This option is incompatible with the --host or --p (--port) options.
- --host
  host name or IP address where the database server is running (defaults to localhost).
- -p (--port)
  port used by the database server. 3306 is used internally if not specified.
- --user
  database user name (defaults to current user).
- --password
  database password for user (no default).

Examples:

    $ moodss mystatus --host 1.2.3.4
    $ moodss mystatus --host dbserver.company.com --port 3307
    $ moodss mystatus --host dbserver.company.com --user status --password xxx
    $ moodss mystatus --dsn mydb --user status --password xxx

Threads support:

If you use Tcl/Tk 8.4.1 or above with the Tcl Threads package 2.5 or above, then the module will use threads for the database connection. This means that the core (moodss user interface for example) cannot be hung (moodss menus not responding, window not being updated, ...) when the connection with the database is failing.
You can check that moodss actually is in threads mode by looking at the bottom line of the module help window, while moodss is running: a status line will indicate whether threads are in use.